
<div class="menu">
  <div>
    <img class="logoIcon" src="../../assets/Images/dd_iconLogo.png" alt="logo">
    <img class="logo" src="../../assets/Images/dd_logo.png" alt="logo">
  </div>
  <button mat-button class="link"><i class="fas fa-bullseye"></i> Goal</button>
  <button mat-button class="link"><i class="fas fa-user-cog"></i> User Details</button>
  <button mat-button class="link"><i class="fas fa-heart"></i> Saved Plans</button>
  <button mat-button class="link"><i class="fas fa-trash-alt"></i> Food Bin</button>
  <button mat-button class="link"><i class="fab fa-facebook-square"></i></button>
</div>

<div class="mainGrid">

  <div class="grid-item">
    <div class="slider" id="slider"></div>
    <h5 class="proColor">PROTEIN</h5>
  </div>
  <div class="grid-item">
    <div class="slider" id="slider2"></div>
    <h5 class="carbColor">CARBS</h5>
  </div>
  <div class="grid-item">
    <div class="slider" id="slider3"></div>
    <h5 class="fatColor">FATS</h5>
  </div>


  <div class="grid-item">
    <div class="foodGrid">
            <div class="grid-item" *ngFor="let pic of foodData.proFoods">
              <p class="foodNamePro">{{pic.name}}</p><p class="foodQuantityPro">14g</p>
              <img (click)="openDialog(pic.id, 'Pro')"
                   class="foodImage" src="{{pic.imageUrl}}" alt="{{pic.name}}">
            </div>
    </div>
  </div>
  <div class="grid-item">
    <div class="foodGrid">
      <div class="grid-item" *ngFor="let pic of foodData.carbFoods">
        <p class="foodNameCarb">{{pic.name}}</p><p class="foodQuantityCarb">14g</p>
        <img (click)="openDialog(pic.id, 'Carb')"
          class="foodImage" src="{{pic.imageUrl}}" alt="{{pic.name}}">
      </div>
    </div>
  </div>
  <div class="grid-item">
    <div class="foodGrid">
      <div class="grid-item" *ngFor="let pic of foodData.fatFoods">
        <p class="foodNameFat">{{pic.name}}</p><p class="foodQuantityFat">14g</p>
        <img (click)="openDialog(pic.id, 'Fat')"
          class="foodImage" src="{{pic.imageUrl}}" alt="{{pic.name}}">
      </div>
    </div>
  </div>

  <div class="grid-item vitGridContainer">
    <div class="vitMinGrid">
      <div class="grid-item">
        <h5 class="vitTitle">VITAMINS</h5>
        <div class="flexVitMin">
          <div class="slider5"></div>
          <div class="slider5"></div>
          <div class="slider5"></div>
          <div class="slider5"></div>
          <div class="slider5"></div>
          <div class="slider5"></div>
          <p>A</p>
          <p>B1</p>
          <p>B2</p>
          <p>B3</p>
          <p>B5</p>
          <p>B6</p>
        </div>

      </div>
      <div class="grid-item calSlider">
        <div id="slider4"></div>
        <H5>CALORIES</H5>
      </div>
      <div class="grid-item">
        <h5 class="vitTitle">MINERALS</h5>
        <div class="flexVitMin">
          <div class="slider5"></div>
          <div class="slider5"></div>
          <div class="slider5"></div>
          <div class="slider5"></div>
          <div class="slider5"></div>
          <div class="slider5"></div>
          <p>Ca</p>
          <p>P</p>
          <p>Mg</p>
          <p>K</p>
          <p>Fe</p>
          <p>Zn</p>
        </div>
      </div>
      <div class="grid-item">
        <div class="flexVitMin">
          <div class="slider5"></div>
          <div class="slider5"></div>
          <div class="slider5"></div>
          <div class="slider5"></div>
          <div class="slider5"></div>
          <div class="slider5"></div>
          <p>B9</p>
          <p>B12</p>
          <p>C</p>
          <p>D</p>
          <p>E</p>
          <p>K</p>
        </div>
      </div>
      <div class="grid-item">
        <div class="flexVitMin">
        <div class="slider5"></div>
        <div class="slider5"></div>
        <div class="slider5"></div>
        <div class="slider5"></div>
        <div class="slider5"></div>
        <div class="slider5"></div>
          <p>Cu</p>
          <p>Mn</p>
          <p>Se</p>
          <p>C5</p>
          <p>Na</p>
          <p><i class="fas fa-bolt"></i></p>
      </div>
      </div>
    </div>
  </div>


</div>






















